RFC 950 · RFC 4632 · RFC 3021

🧮Subnetz-Rechner

Gib eine Adresse mit Präfix ein. Die Maske trennt Netzanteil und Hostanteil: Netzadresse = Adresse AND Maske, Broadcast = Netzadresse OR Wildcard.
Adresse
1
1
0
0
1
0
1
1
0
0
0
0
0
0
0
0
0
1
1
1
0
0
0
1
0
1
0
0
1
1
0
1
Maske
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
1
0
0
0
0
0
0
■ Netzanteil: 26 Bit■ Hostanteil: 6 Bit → 2^6 = 64 Adressen
Netzadresse
203.0.113.64/26
Broadcast
203.0.113.127
Erster Host
203.0.113.65
Letzter Host
203.0.113.126
Nutzbare Hosts
62
2^6 − 2
Netzmaske
255.255.255.192
Wildcard (inverse Maske)
0.0.0.63
Präfix
/26
Adressen im Block
64
Eingegebene Adresse ist
Host
Position 13 im Block

Wo liegt die Adresse im Block?

Blöcke beginnen immer an einem Vielfachen ihrer Größe (64). Deshalb ergibt das Nullsetzen der Hostbits die Netzadresse.

vorheriger Block
203.0.113.0/26
203.0.113.64203.0.113.127
203.0.113.77
nächster Block
203.0.113.128/26

🔍 Bitweises AND – Schritt für Schritt

Ein Bit im Ergebnis ist nur 1, wenn Adressbit und Maskenbit 1 sind. So „schneidet“ die Maske den Hostanteil ab.

Schritt 1/6
Ausgangslage
Adresse 203.0.113.77 und Maske 255.255.255.192 (/26). Wir verknüpfen beide Oktett für Oktett mit AND.
1 AND 1 = 1 1 AND 0 = 0 0 AND 1 = 0 0 AND 0 = 0

Spickzettel /16 bis /32

Jedes Bit mehr im Präfix halbiert den Block. Klick übernimmt das Präfix.

PräfixMaskeAdressenHosts
/16255.255.0.065.53665.534
/17255.255.128.032.76832.766
/18255.255.192.016.38416.382
/19255.255.224.08.1928.190
/20255.255.240.04.0964.094
/21255.255.248.02.0482.046
/22255.255.252.01.0241.022
/23255.255.254.0512510
/24255.255.255.0256254
/25255.255.255.128128126
/26255.255.255.1926462
/27255.255.255.2243230
/28255.255.255.2401614
/29255.255.255.24886
/30255.255.255.25242
/31255.255.255.25422(RFC 3021)
/32255.255.255.25511(Host)
Oktettwerte einer Maske: 255 · 255 · 255 · 192

📏Die Regeln in Kurzform

Blockgröße
232 − Präfix Adressen. /24 → 256, /26 → 64, /30 → 4.
Nutzbare Hosts
Blockgröße − 2: die erste Adresse ist das Netz, die letzte der Broadcast. Ausnahmen: /31 (2 Hosts, RFC 3021) und /32 (1 Host).
Netzgrenzen
Netze beginnen immer an einem Vielfachen ihrer Blockgröße. 203.0.113.77/26 → 77 liegt zwischen 64 und 127, also Netz 203.0.113.64.
Ungültige Masken
Die Einsen einer Maske müssen zusammenhängen. 255.255.0.255 ist keine gültige Netzmaske.